# source https://github.com/flacon/flacon/archive/v2.0.1.tar.gz

Summary:	Audio file splitter and converter
Summary(de):	Programm zum Aufteilen und Konvertieren von Musikdateien
Name:		flacon
Version:	5.4.0
Release:	%mkrel 1
Group:		Sound
License:	LGPLv2.1
URL:		https://flacon.github.io/
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%defaultbuildroot
BuildRequires:  desktop-file-utils
BuildRequires: kf5-macros
BuildRequires: qttools5
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64uchardet-devel

Requires:	faac
Requires:	flac
Requires:	lame
Requires:	lib64wavpack1
Requires:	mac
Requires:	mp3gain
Requires:	opus-tools
Requires:	shntool
Requires:	ttaenc
Requires:	vorbis-tools
Requires:	vorbisgain
Requires:	wavegain
Requires:	wavpack

%description
Flacon extracts individual tracks from one big audio file
containing the entire album of music and saves them as
separate audio files. To do this, it uses information
from the appropriate CUE file. Flacon also makes it possible
to conveniently revise or specify tags both for all tracks
at once or for each tag separately.

%description -l de
Flacon extrahiert einzelne Titel aus einer großen Musikdatei,
die das komplette Album beinhaltet, und speichert diese als einzelne
Dateien. Dazu verwendet er Informationen aus der entsprechenden CUE-Datei.
Flacon macht es auch möglich bequem Tags zu revidieren oder zu spezifizieren,
sowohl für eine oder alle Spuren oder für jeden Tag separat.

%prep
%setup -q

%build
%cmake_kf5

%install
%__rm -rf %{buildroot}
%{makeinstall_std} -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/%{name}.desktop

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/translations
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.bz2
%{_datadir}/icons/hicolor/scalable/apps/flacon.svg

%changelog
* Mon Apr 29 2019 tex - 5.4.0-1pclos2019
- new version: 5.4.0
